Module java.base
Package java.util.concurrent

## Interface ScheduledFuture<V>

Type Parameters:
  `V` - The result type returned by this Future

All Superinterfaces:
  `Comparable<Delayed>`, `Delayed`, `Future<V>`

All Known Subinterfaces:
  `RunnableScheduledFuture<V>`

    public interface ScheduledFuture<V>
    extends Delayed, Future<V>

A delayed result-bearing action that can be cancelled. Usually a scheduled future is the result of scheduling a task with a `ScheduledExecutorService`.

Since:
  1.5

### Method Summary

### Methods declared in interface java.lang.Comparable

`compareTo`

### Methods declared in interface java.util.concurrent.Delayed

`getDelay`

### Methods declared in interface java.util.concurrent.Future

`cancel, get, get, isCancelled, isDone`